Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.utils
Class SAMLHelper

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.utils.SAMLHelper

    public final class SAMLHelper

extends Object

The Class SAMLHelper.

Field Summary
`static String` | `SAML_ASSERTION` The Constant SAML_ASSERTION.
`static String` | `SAML_ATTRIBUTE` The Constant SAML_ATTRIBUTE.
`static String` | `SAML_ATTRIBUTESTATEMENT` The Constant SAML_ATTRIBUTESTATEMENT.
`static String` | `SAML_CONDITIONS` The Constant SAML_CONDITIONS.
`static String` | `SAML_NOTONORAFTER` The Constant SAML_NOTONORAFTER.
`static String` | `SAML_STATUSCODE` The Constant SAML_STATUSCODE.
`static String` | `SAML_STATUSMESSAGE` The Constant SAML_STATUSMESSAGE.
`static String` | `SAML_SUCCESS` The Constant SAML_SUCCESS.
`static String` | `SAML_VALUE` The Constant SAML_VALUE.

Method Summary
`static Element` | `getAssertion(Element stsResponse)` Gets the assertion.
`static NodeList` | `getAttributes(Element stsResponse)` Gets the attributes.
`static org.joda.time.DateTime` | `getNotOnOrAfterCondition(Element stsResponse)` Gets the not on or after conditions.
`static Calendar` | `getNotOnOrAfterConditions(Element stsResponse)` Deprecated. replaced by getNotOnOrAfterCondition
`static String` | `getStatusCode(Element stsResponse)` Gets the status code.
`static String` | `getStatusMessage(Element stsResponse)` Gets the status message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAML_CONDITIONS

    public static final String SAML_CONDITIONS

  The Constant SAML_CONDITIONS.

  See Also:
    Constant Field Values

### SAML_NOTONORAFTER

    public static final String SAML_NOTONORAFTER

  The Constant SAML_NOTONORAFTER.

  See Also:
    Constant Field Values

### SAML_SUCCESS

    public static final String SAML_SUCCESS

  The Constant SAML_SUCCESS.

  See Also:
    Constant Field Values

### SAML_STATUSCODE

    public static final String SAML_STATUSCODE

  The Constant SAML_STATUSCODE.

  See Also:
    Constant Field Values

### SAML_STATUSMESSAGE

    public static final String SAML_STATUSMESSAGE

  The Constant SAML_STATUSMESSAGE.

  See Also:
    Constant Field Values

### SAML_VALUE

    public static final String SAML_VALUE

  The Constant SAML_VALUE.

  See Also:
    Constant Field Values

### SAML_ASSERTION

    public static final String SAML_ASSERTION

  The Constant SAML_ASSERTION.

  See Also:
    Constant Field Values

### SAML_ATTRIBUTESTATEMENT

    public static final String SAML_ATTRIBUTESTATEMENT

  The Constant SAML_ATTRIBUTESTATEMENT.

  See Also:
    Constant Field Values

### SAML_ATTRIBUTE

    public static final String SAML_ATTRIBUTE

  The Constant SAML_ATTRIBUTE.

  See Also:
    Constant Field Values

Method Detail

### getStatusCode

    public static String getStatusCode(Element stsResponse)

  Gets the status code.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the status code

### getStatusMessage

    public static String getStatusMessage(Element stsResponse)

  Gets the status message.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the status message

### getNotOnOrAfterConditions

    @Deprecated
    public static Calendar getNotOnOrAfterConditions(Element stsResponse)

  Deprecated. replaced by getNotOnOrAfterCondition

  Gets the not on or after conditions.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the not on or after conditions

### getNotOnOrAfterCondition

    public static org.joda.time.DateTime getNotOnOrAfterCondition(Element stsResponse)

  Gets the not on or after conditions.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the not on or after conditions

### getAttributes

    public static NodeList getAttributes(Element stsResponse)

  Gets the attributes.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the attributes

### getAssertion

    public static Element getAssertion(Element stsResponse)

  Gets the assertion.

  Parameters:
    `stsResponse` - the sts response
  Returns:
    the assertion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.